using Microsoft.EntityFrameworkCore;

namespace Femto.Modules.Media.Data;

internal class MediaContext(DbContextOptions<MediaContext> options) : DbContext(options)
{
    public virtual DbSet<SavedBlob> SavedBlobs { get; set; }

    protected override void OnModelCreating(ModelBuilder builder)
    {
        base.OnModelCreating(builder);
        builder.HasDefaultSchema("media");
        builder.ApplyConfigurationsFromAssembly(typeof(MediaContext).Assembly);
    }
}